package _VisualDVM.Visual.Syntax;
import Common.Utils.Utils_;
import Common.Visual.Themes.VisualiserTheme;
import org.fife.ui.rsyntaxtextarea.Theme;
public abstract class SPFEditorTheme extends VisualiserTheme {
    protected abstract String getEditorThemePath();    //-
    //если использовать один и тот же объект на все едиторы пявляются странности
    //значит при применении выделяем новый экземпляр.
    public Theme getEditorTheme() {
        Theme res = null;
        try {
            res = Theme.load(getClass().getResourceAsStream(getEditorThemePath()));
        } catch (Exception ex) {
            Utils_.MainLog.PrintException(ex);
        }
        return res;
    }
    //-
}

